//Webベースの自由対話システム - 形態素解析
// システム全体の引用元 : 柴田雅博, 冨浦洋一, 西口友美, "雑談自由対話を実現するためのＷＷＷ上の文書からの妥当な候補文選択手法", 人工知能学会論文誌 24(6), 507-519, 2009.
// https://www.jstage.jst.go.jp/article/tjsai/24/6/24_6_507/_pdf
//
// 本プログラム（形態素解析）の引用元 : 4.Senの使用法|TECHSCORE
//   http://www.techscore.com/tech/Java/ApacheJakarta/Lucene/4/
//
// 作成 : 宮澤幸希（m-kouki@moegi.waseda.jp）
//   ※ 本プログラムは　柴田, 冨浦 & 西口, 2009.　および 4.Senの使用法|TECHSCORE の引用及び解釈に基づきます。

import java.io.IOException;
import net.java.sen.StringTagger;
import net.java.sen.Token;

public class SenSample {
    public static void main(String[] args) throws IllegalArgumentException, IOException {
    	//環境変数
    	System.setProperty("sen.home","c:/sen");
    	
        StringTagger tagger = StringTagger.getInstance();
        
        //String str = "今日は良い天気です。";
        String str = "ガンスナイパーが好きです。";
        
        Token[] token = tagger.analyze(str);
        
        for(int i=0; i<token.length; i++){
            System.out.println(token[i].getBasicString()+"("+token[i].getTermInfo()+")");
        }    
    }
    public static String runSen(String str) throws IllegalArgumentException, IOException {
    	//環境変数
    	System.setProperty("sen.home","c:/sen");
    	
    	String output = "";
        StringTagger tagger = StringTagger.getInstance();
        Token[] token = tagger.analyze(str);
        for(int i=0; i<token.length; i++){
        	String thisresult = token[i].getBasicString() +"("+token[i].getTermInfo()+")";
            //System.out.println(thisresult);
            output = output + thisresult + "\n";
        }
        return output;
    }
}